module Workarea
  module Admin
    class ChangelogsController < ApplicationController
      before_action :get_changelog
      def show
        @changelog ||= @changelog_content
      end

      def get_changelog
        text = File.read("#{Rails.root}/CHANGELOG.md") rescue nil
        @changelog_content = "No changelog found, please contact the developement team" if text.blank?
        options = {
          filter_html:     true,
          hard_wrap:       true, 
          link_attributes: { rel: 'nofollow', target: "_blank" },
          space_after_headers: true, 
          fenced_code_blocks: true
        }

        extensions = {
          autolink:           true,
          superscript:        true,
          disable_indented_code_blocks: true
        }

        renderer = Redcarpet::Render::HTML.new(options)
        @markdown ||= Redcarpet::Markdown.new(renderer, extensions)
        @changelog_content ||= @markdown.render(text).html_safe 
      end
    end
  end
end
